# Resolver

open class Resolver

Resolver class for resolving members.

Provides methods to resolve fields, methods, and constructors of a class.

You can inherit this class to implement a custom member parser, and override the getDeclaredFields, getDeclaredMethods and getDeclaredConstructors methods to implement custom member resolution logic.

## Constructors

Resolver
Link copied to clipboard
constructor()

## Functions

getDeclaredConstructors
Link copied to clipboard
open fun < T : Any > getDeclaredConstructors (declaringClass: Class < T >): List < Constructor < T >>

Resolve constructors of the specified class T.

getDeclaredFields
Link copied to clipboard
open fun < T : Any > getDeclaredFields (declaringClass: Class < T >): List < Field >

Resolve fields of the specified class T.

getDeclaredMethods
Link copied to clipboard
open fun < T : Any > getDeclaredMethods (declaringClass: Class < T >): List < Method >

Resolve methods of the specified class T.